package kam;

import java.io.Serializable;

public class Item implements Serializable{

  private String itemName;
  private String itemDescription;
  private double price;
  private int quantity;

  public Item() {
    itemName="No name";
    itemDescription="No description";
    price=0.0;
    quantity=0;
  }

  public Item(String itemName, String itemDescription, double price,
      int quantity) {
    super();
    this.itemName = itemName;
    this.itemDescription = itemDescription;
    this.price = price;
    this.quantity = quantity;
  }

  public boolean equals(Object obj) {
    if (this == obj) return true;
    return obj instanceof Item && itemName.equals(((Item)obj).itemName);
  }
  public String getItemDescription() {
    return itemDescription;
  }
  public void setItemDescription(String itemDescription) {
    this.itemDescription = itemDescription;
  }
  public String getItemName() {
    return itemName;
  }
  public void setItemName(String itemName) {
    this.itemName = itemName;
  }
  public double getPrice() {
    return price;
  }
  public void setPrice(double price) {
    this.price = price;
  }
  public int getQuantity() {
    return quantity;
  }
  public void setQuantity(int quantity) {
    this.quantity = quantity;
  }
  public String toString() {
    return itemName + " " + itemDescription + " " + price + " " + quantity;
  }
}

