<%@ page import="java.util.ArrayList" %>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>

<HTML>
<TITLE>Enterprise Java Tech Tips, January 2004</TITLE>

<BODY>
<H2>Enterprise Java Tech Tips, January 2004</H2>

<%-- Create array bean to demonstrate array iteration --%>
<jsp:useBean id="colors" class="java.util.ArrayList">
<%
        colors.add("red");
        colors.add("orange");
        colors.add("yellow");
        colors.add("green");
        colors.add("blue");
        colors.add("violet");
%>
</jsp:useBean>

<HTML>
<HEAD><TITLE>Expression Language Examples</TITLE></HEAD>
<BODY>

<i>Note: the following code executes when the page loads:</i>
<pre>
&lt;jsp:useBean id="colors" class="java.util.ArrayList"&gt;
&lt;%
        colors.add("red");
        colors.add("orange");
        colors.add("yellow");
        colors.add("green");
        colors.add("blue");
        colors.add("violet");
%&gt;
&lt;/jsp:useBean&gt;
</pre>

<TABLE BORDER="1">
<TR><TH>Expression</TH><TH>Value</TH></TR>
   
<TR><TD>${'${'}1}</TD><TD>${1}</TD></TR>
<TR><TD>${'${'}1==1}</TD><TD>${1==1}</TD></TR>
<TR><TD>${'${'}1==2}</TD><TD>${1==2}</TD></TR>
<TR><TD>${'${'}1+2*3/4}</TD><TD>${1+2*3/4}</TD></TR>
<TR><TD>${'${'}(1+2)*(3/4)}</TD><TD>${(1+2)*(3/4)}</TD></TR>
<TR><TD>${'${'}22/7}</TD><TD>${22/7}</TD></TR>
<TR><TD>${'${'}123*234}</TD><TD>${123*234}</TD></TR>
<TR><TD>${'${'}1 > 2 ? colors[3] : colors[4]}</TD><TD>${1 > 2 ? colors[3] : colors[4]}</TD></TR>
<TR><TD>${'${'}colors[1]}</TD><TD>${colors[1]}</TD></TR>
<TR><TD>${'${'}colors[5]}</TD><TD>${colors[5]}</TD></TR>
<TR><TD>${'${'}colors[1] > colors[5]}</TD><TD>${colors[1] > colors[5]}</TD></TR>
<TR><TD>${'${'}colors[1024]}</TD><TD>${colors[1024]}</TD></TR>
<TR><TD>${'${'}colors[1024] == null}</TD><TD>${colors[1024] == null}</TD></TR>

<TR><TD>
&lt;c:out value="${'${'}colors[1024]}" default="transparent"/&gt;
</TD><TD>
<c:out value="${colors[1024]}" default="transparent"/>
</TD></TR>

<TR><TD>
${'${'}colors[1024] == null ? "transparent" : colors[1024]}
</TD><TD>
${colors[1024] == null ? "transparent" : colors[1024]}
</TD></TR>

<TR><TD>${'${'}pageContext.servletContext.servletContextName}</TD><TD>${pageContext.servletContext.servletContextName}</TD></TR>

<TR><TD ALIGN="left" VALIGN="top">
<pre>
&lt;ul&gt;
&lt;c:forEach var="k" items="${'${'}colors}"&gt;
  &lt;li&gt;&lt;font color="${'${'}k}"&gt;This line is ${'${'}k}&lt;/font&gt;.
&lt;/c:forEach&gt;
&lt;/ul&gt;
</pre>
</TD><TD ALIGN="left" VALIGN="top">
<ul>
<c:forEach var="k" items="${colors}">
  <li><font color="${k}">This line is ${k}</font>.
</c:forEach>
</ul>
</TD></TR>

<TR><TD ALIGN="left" VALIGN="top">
<pre>
&lt;c:forEach var="hdr" items="${'${'}header}"&gt;
  ${'${'}hdr.key}=${'${'}hdr.value}&lt;br&gt;
&lt;/c:forEach&gt;
</pre>
</TD><TD ALIGN="left" VALIGN="top">
<c:forEach var="hdr" items="${header}">
  ${hdr.key}=${hdr.value}<br>
</c:forEach>
</TR>

<TR><TD>${'${'}header["host"]}</TD><TD>${header["host"]}</TD></TR>
<TR><TD>${'${'}header.host}</TD><TD>${header.host}</TD></TR>
<TR><TD>${'${'}header["user-agent"]}</TD><TD>${header["user-agent"]}</TD></TR>
<TR><TD>${'${'}header.user-agent}</TD><TD>${header.user-agent}</TD></TR>
<TR><TD>
<code><pre>&lt;c:set var="headerName" value="host"/&gt;
${'${'}header[headerName]}
</pre></code>
</TD><TD>
<c:set var="headerName" value="host"/><br>${header[headerName]}
</TD></TR>

</TABLE>

</BODY>
</HTML>

<hr>
Click <a href="http://developer.java.sun.com/developer/EJTechTips/">here</a> to see the original Tech Tips article.<br>
<p>
Click <a href="http://groups.yahoo.com/group/techtipsarchive/">here</a> to
go to the Tech Tips Archive discussion forum.

</BODY>
</HTML>
