<%@ page import="java.util.*, kam.*" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<HTML><HEAD><TITLE>myJSTLExamples</TITLE></HEAD>
<BODY>
<h1>JSTL Examples</h1>

<%
  String[] daysArray = {"Monday","Tuesday","Wednesday","Thursday",
                        "Friday","Saturday","Sunday"};
  session.setAttribute("arrayOfDays", daysArray);   
                      
	List daysList = new ArrayList();
	daysList.add("Monday"); daysList.add("Tuesday"); daysList.add("Wednesday");
	daysList.add("Thursday"); daysList.add("Friday"); daysList.add("Saturday");
	daysList.add("Sunday");
	request.setAttribute("listOfDays", daysList);

  Map daysMap = new HashMap();
  daysMap.put(new Integer(1), "Monday");
  daysMap.put(new Integer(2), "Tuesday");
  daysMap.put(new Integer(3), "Wednesday");
	daysMap.put(new Integer(4), "Thursday");
  daysMap.put(new Integer(5), "Friday");
  daysMap.put(new Integer(6), "Saturday");
	daysMap.put(new Integer(7), "Sunday");
	request.setAttribute("mapOfDays", daysMap);
	
  Item item = new Item("Shoes", "Ekin", 999.90, 1);
  
  Item[] itemsArray = {
  		new Item("Shoes", "Ekin", 999.90, 10),
  		new Item("Shirt", "Van Heusen", 9.90, 30),
  		new Item("Shampoo", "Simple", 99.90, 15),
  		new Item("Socks", "Golden Toe", 900.00, 9),
  		new Item("Suit", "Armani", 49.90, 17)
  };
	request.setAttribute("arrayOfItems", itemsArray);  
%>

Loop start:<br/>
  <c:forEach var="item" items="en, to, tre, fire" >
      ${item}<br/>
  </c:forEach>
Loop end.<br/>

Loop start:<br/>
<%--
  <c:forEach var="item" items="<%= itemsArray %>" varStatus="itemLoopCount" >
--%>
  <c:forEach var="item" items="${arrayOfItems}" varStatus="itemLoopCount" >
      ${itemLoopCount.count}:<br/>      
      ${item.itemName}<br/>
      ${item.itemDescription}<br/>
      ${item.price}<br/>
      ${item.quantity}<br/>
  </c:forEach>
Loop end.<br/>

Table start:<br/>
<table>
  <c:forEach var="item" items="${arrayOfItems}" varStatus="itemLoopCount" >
  <tr>
      <td>Item no. ${itemLoopCount.count}:</td>      
      <td>${item.itemName}</td>
      <td>${item.itemDescription}</td>
      <td>${item.price}</td>
      <td>${item.quantity}</td>
  </tr>
  </c:forEach>
</table>
Table end. 
</BODY></HTML>