<%@ page import="java.util.*, kam.*" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<%
  String[] daysArray = {"Monday","Tuesday","Wednesday","Thursday",
                        "Friday","Saturday","Sunday"};
  session.setAttribute("arrayOfDays", daysArray);

  List daysList = new ArrayList();
  daysList.add("Monday"); daysList.add("Tuesday"); daysList.add("Wednesday");
  daysList.add("Thursday"); daysList.add("Friday"); daysList.add("Saturday");
  daysList.add("Sunday");
  request.setAttribute("listOfDays", daysList);

  Map daysMap = new HashMap();
  daysMap.put(new Integer(1), "Monday");
  daysMap.put(new Integer(2), "Tuesday");
  daysMap.put(new Integer(3), "Wednesday");
  daysMap.put(new Integer(4), "Thursday");
  daysMap.put(new Integer(5), "Friday");
  daysMap.put(new Integer(6), "Saturday");
  daysMap.put(new Integer(7), "Sunday");
  request.setAttribute("mapOfDays", daysMap);

  Item item = new Item("Shoes", "Ekin", 999.90, 1);

  Item[] itemsArray = {
      new Item("Shoes", "Ekin", 999.90, 10),
      new Item("Shirt", "Van Heusen", 9.90, 30),
      new Item("Shampoo", "Simple", 99.90, 15),
      new Item("Socks", "Golden Toe", 900.00, 9),
      new Item("Suit", "Armani", 49.90, 17)
  };
  request.setAttribute("arrayOfItems", itemsArray);

%>

<HTML><HEAD><TITLE>myJSTLExamples</TITLE></HEAD>
<BODY>
<h1>JSTL Examples</h1>

1: <c:out value="Hello" /><br/>

<c:set var="myShoes" value="<%= item %>" scope="request" />
2: <c:out value="${myShoes}"/><br/>

<c:set var="day" value="${listOfDays[2]}" scope="request" />
3: <c:out value="${day}"/><br/>

<c:set var="attribute" value="in session" scope="session" />
4: <c:out value="attribute ${attribute}" /><br/>

<c:set target="${myShoes}" property="itemDescription" value="sadida" />
5: <c:out value="${myShoes}"/><br/>
6: ${myShoes}<br/>

<c:set target="<%= item %>" property="itemDescription" value="sadida" />
7: <c:out value="<%= item %>"/><br/>
8: <%= item %><br/>

9: <c:out value="${mapOfDays}"/><br/>
<%-- This property specification for the key does not work in a map. --%>
<%--
<c:set target="${mapOfDays}" property="<%= new Integer(7) %>" value="FREE DAY" />
--%>
<%-- String property specification for a key works in a map. --%>
<c:set target="${mapOfDays}" property="7" value="FREE DAY" />
10: <c:out value="<%= daysMap %>"/><br/>

</BODY></HTML>